{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    {% if perms.curriculum.can_assign_programme_coordinator %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-user"></i>
                    Assign Programme Co-ordinator
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                        {% for dept_programme in all_department_programmes %}
                            {% if forloop.counter == 1 %}
                                <li {% if selected_department_programme == dept_programme.pk %}class="active" {% else %}
                                    class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="true"
                                       id={{ dept_programme.pk }}
                                               data-toggle="tab" name="programme_tab">
                                        {{ dept_programme.department.acronym }} - {{ dept_programme.programme.acronym }}

                                    </a>
                                </li>
                            {% else %}
                                <li {% if selected_department_programme == dept_programme.pk %}class="active" {% else %}
                                    class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="true"
                                       id={{ dept_programme.pk }}
                                               data-toggle="tab" name="programme_tab">
                                        {{ dept_programme.department.acronym }} - {{ dept_programme.programme.acronym }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <form method="POST" class="form-horizontal">
                            {% csrf_token %}
                            <input type="hidden" name="selected_programme" value="{{ selected_department_programme }}" />
                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                       id="id_select_pc">Programme co-ordinator</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                        <select class="selectpicker form-control" id="id_select_pc"
                                                data-live-search="true" title="Not Alloted" data-actions-box="true"
                                                name="select_pc"
                                                data-show-subtext="true">
                                            {% for staff in all_staffs %}
                                                {% if staff in list_of_pc %}
                                                    <option value="{{ staff.id }}"
                                                            selected>{{ staff }}</option>
                                                {% else %}
                                                    <option value="{{ staff.id }}"
                                                            >{{ staff }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                            </div>
                            {#                                {% endfor %}#}
                            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                                <button type="submit" class="save btn btn-lg btn-success" name="pc" value="pc">
                                    Assign
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <form id="dummy_form" method="post">
        {% csrf_token %}
        </form>
        <script type="text/javascript">
        $('document').ready(function () {
            $('[name="programme_tab"]').click(function () {
                console.log("inside");
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_programme'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        </script>

        <script type="text/javascript">
            $('.selectpicker').selectpicker({
{#                style: 'btn-info',#}
                width: auto
            });

        </script>
    {% endif %}
{% endblock %}

